#!/bin/sh
# This file is /etc/initramfs-tools/hooks/01_luks_keyfile.sh
# Include LUKS key-file(s) in the initial RAM disk image in the same location as defined in crypttab
# Copyright 2011-2015 TJ <ubuntu@iam.tj>
# Licenced on the terms of the GNU General Public License v2 or later.

CRYPTROOT="${DESTDIR}/conf/conf.d/cryptroot"
echo "Checking for ${CRYPTROOT}"
if [ -n "${CRYPTROOT}" -a -r "${CRYPTROOT}" ]; then
  echo "Parsing for key-file option"
  IFS=","
  while read target source keyfile options ; do
    KEYFILE=${keyfile##*=}
    echo "Installing cryptsetup key-file to ${DESTDIR}/${KEYFILE%/*}"
    mkdir -p $DESTDIR/${KEYFILE%/*} && cp $KEYFILE $DESTDIR/$KEYFILE || exit 1
  done < ${CRYPTROOT}
fi
exit 0
